package routers

import (
	"ERP_storage/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	projectFiling := beego.NewNamespace("/ProjectFiling",
		beego.NSRouter("/User_List", &controllers.ProjectFilingController{}, "*:ProjectFiling_User_List"), // 验证项目列表
		beego.NSRouter("/List", &controllers.ProjectFilingController{}, "*:ProjectFiling_List"),           // 验证项目列表
		beego.NSRouter("/Add", &controllers.ProjectFilingController{}, "*:ProjectFiling_Add"),             // 获取验证项目
		beego.NSRouter("/Edit", &controllers.ProjectFilingController{}, "*:ProjectFiling_Edit"),           // 添加验证项目
		beego.NSRouter("/Del", &controllers.ProjectFilingController{}, "*:ProjectFiling_Del"),             // 删除验证项目
	)

	beego.AddNamespace(projectFiling)
}
